# Copyright (C) 2010 by Intevation GmbH
# Authors:
# Bjoern Ricks <bjoern.ricks@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Tests for treepkg.status.status"""

import unittest
import os.path
import sys

test_dir = os.path.dirname(__file__)
sys.path.append(os.path.join(test_dir, os.pardir, os.pardir))

from treepkg.status.status import TreepkgStatus

class TreepkgStatusTest(unittest.TestCase):

    def test_toxml(self):
        status = TreepkgStatus("testtreepkg")
        dom = status.toxml()
        xml = dom.toxml()
        self.assertEquals("<status><name>testtreepkg</name></status>", xml)

if __name__ == '__main__':
    unittest.main()

